
brainvisa-development - Defect #17584

Windows: Qt jpeg plugin fails

17/11/2017 11:42 AM - Souedet, Nicolas

Status: Closed Start date: 17/11/2017

Priority: Normal Due date:  

Assignee: Souedet, Nicolas % Done: 100%

Category: casa-distro Estimated time: 0:00 hour

Target version: brainvisa-4.6 Spent time: 0:00 hour

Resolution:    

Description

This occurs in qt 4.8.6 plugin (qjpeg4.dll linked with jpeg62.dll).

At least three possibility to fixthe issue:

- use the option qt-libjpeg to use internal qt lib for jpeg plugin (need to rebuild qt)

- fixes jpeg62 library use (either in qt plugin calls either in jpeg62 library)

- install library jpegturbo 8 (version 1.3.0)

Associated revisions

Revision 79954 - 28/11/2017 02:12 PM - Souedet, Nicolas

fixes: #17584 - Windows Qt jpeg plugin fails

History

#1 - 17/11/2017 12:18 PM - Souedet, Nicolas

- Description updated

#2 - 28/11/2017 12:08 PM - Souedet, Nicolas

It is necessary to set QT_PLUGIN_PATH to be able to use plugins with wine

#3 - 28/11/2017 02:20 PM - Souedet, Nicolas

- Status changed from New to Closed

- % Done changed from 0 to 100

Appliqué par commit brainvisa:r79954.
